Alerts - Refresh All
リソース スコープのすべてのアラートを更新します。
POST https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
scope
|
path | True |
string |
アラートのスコープ。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 202 Accepted |
受け入れ られる。 応答は、アラートが更新されていることを示します。 ヘッダー Location: string |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
RefreshAllAlerts
要求のサンプル
POST https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview
応答のサンプル
Location: https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertOperations/{operationId}?api-version=2022-04-01-preview
{
"id": "{operationId}",
"status": "notStarted",
"statusDetail": "{\"result\":[{\"name\":\"AzureRolesAssignedOutsidePimAlert\",\"statusDetail\":\"Alert scan is not yet started.\"}, {\"name\":\"DuplicateRoleCreated\",\"statusDetail\":\"Alert scan is not yet started.\"}]}",
"lastActionDateTime": "2022-04-05T03:04:06.467+00:00",
"createdDateTime": "2022-04-05T03:04:06.467+00:00",
"resourceLocation": "https://management.azure.com/providers/Microsoft.Subscription/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts?api-version=2022-08-01-preview"
}
定義
| 名前 | 説明 |
|---|---|
|
Alert |
アラート操作の結果 |
|
Cloud |
サービスからのエラー応答。 |
|
Cloud |
サービスからのエラー応答。 |
AlertOperationResult
アラート操作の結果
| 名前 | 型 | 説明 |
|---|---|---|
| createdDateTime |
string (date-time) |
アラート操作の作成日。 |
| id |
string |
アラート操作の ID。 |
| lastActionDateTime |
string (date-time) |
アラート操作の最後のアクションの日付。 |
| resourceLocation |
string |
操作に関連付けられているアラートの場所。 |
| status |
string |
アラート操作の状態。 |
| statusDetail |
string |
アラート操作の状態の詳細。 |
CloudError
サービスからのエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
サービスからのエラー応答。 |
CloudErrorBody
サービスからのエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラーの識別子。 コードは不変であり、プログラムで使用することを目的としています。 |
| message |
string |
ユーザー インターフェイスでの表示に適したエラーを説明するメッセージ。 |